OpenTTD Source: LanguagePack Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
LanguagePack Struct Reference
Inheritance diagram for LanguagePack:

## Data Fields
char | data []
Data Fields inherited from LanguagePackHeader
uint32_t | ident = 0
| 32-bits identifier
uint32_t | version = 0
| 32-bits of auto generated version info which is basically a hash of strings.h
char | name [32] = ""
| the international name of this language
char | own_name [32] = ""
| the localized name of this language
char | isocode [16] = ""
| the ISO code for the language (not country code)
uint16_t | offsets [TEXT_TAB_END] = {}
| the offsets
char | digit_group_separator [8] = ","
| Thousand separator used for anything not currencies.
char | digit_group_separator_currency [8] = ","
| Thousand separator used for currencies.
char | digit_decimal_separator [8] = "."
| Decimal separator.
uint16_t | missing = 0
| number of missing strings.
uint8_t | plural_form = 0
| plural form index
uint8_t | text_dir = 0
| default direction of the text
uint16_t | winlangid = 0
| Windows language ID: Windows cannot and will not convert isocodes to something it can use to determine whether a font can be used for the language or not.
uint8_t | newgrflangid = 0
| newgrf language id
uint8_t | num_genders = 0
| the number of genders of this language
uint8_t | num_cases = 0
| the number of cases of this language
uint8_t | pad [3] = {}
| pad header to be a multiple of 4
char | genders [MAX_NUM_GENDERS][CASE_GENDER_LEN] = {}
| the genders used by this translation
char | cases [MAX_NUM_CASES][CASE_GENDER_LEN] = {}
| the cases used by this translation

## Additional Inherited Members
Public Member Functions inherited from LanguagePackHeader
bool | IsValid () const
| Check whether the header is a valid header for OpenTTD.
bool | IsReasonablyFinished () const
| Check whether a translation is sufficiently finished to offer it to the public.
uint8_t | GetGenderIndex (std::string_view gender_str) const
| Get the index for the given gender.
uint8_t | GetCaseIndex (std::string_view case_str) const
| Get the index for the given case.
Static Public Attributes inherited from LanguagePackHeader
static const uint32_t | IDENT = 0x474E414C
| Identifier for OpenTTD language files, big endian for "LANG".

## Detailed Description

Definition at line 267 of file strings.cpp.

## Field Documentation

## ◆ data

char LanguagePack::data[]

Definition at line 268 of file strings.cpp.

The documentation for this struct was generated from the following file:

- src/strings.cpp